package betterwithmods.common.blocks;

import betterwithmods.api.block.ITurnable;
import betterwithmods.client.BWCreativeTabs;
import betterwithmods.common.blocks.mini.BlockMini;
import betterwithmods.common.blocks.tile.TileBasic;
import betterwithmods.util.item.ToolsManager;
import net.minecraft.block.Block;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;

public abstract class BWMBlock extends Block implements ITurnable {
    public BWMBlock(Material material) {
        super(material);
        func_149647_a(BWCreativeTabs.BWTAB);
        if (material == Material.field_151575_d || material == BlockMini.MINI) {
            ToolsManager.setAxesAsEffectiveAgainst(this);
            this.func_149672_a(SoundType.field_185848_a);
            this.setHarvestLevel("axe", 0);
        } else if (material == Material.field_151576_e) {
            this.func_149672_a(SoundType.field_185851_d);
            setHarvestLevel("pickaxe", 1);
            ToolsManager.setPickaxesAsEffectiveAgainst(this);
        }
    }

    @Override
    public EnumFacing getFacingFromBlockState(IBlockState state) {
        return null;
    }

    @Override
    public IBlockState setFacingInBlock(IBlockState state, EnumFacing facing) {
        return null;
    }

    @Override
    public boolean canRotateOnTurntable(IBlockAccess world, BlockPos pos) {
        return false;
    }

    @Override
    public boolean canRotateHorizontally(IBlockAccess world, BlockPos pos) {
        return false;
    }

    @Override
    public boolean canRotateVertically(IBlockAccess world, BlockPos pos) {
        return false;
    }

    @Override
    public void rotateAroundYAxis(World world, BlockPos pos, boolean reverse) {
    }

    @Override
    public void func_180663_b(World worldIn, BlockPos pos, IBlockState state) {
        if(!worldIn.field_72995_K && worldIn.func_175625_s(pos) instanceof TileBasic) {
            ((TileBasic) worldIn.func_175625_s(pos)).onBreak();
            worldIn.func_175666_e(pos, this);
        }
        super.func_180663_b(worldIn,pos,state);
    }
}
