package betterwithmods.common.blocks.mechanical;

import betterwithmods.api.block.IMechanical;
import betterwithmods.client.BWCreativeTabs;
import betterwithmods.common.blocks.BWMBlock;
import betterwithmods.common.blocks.tile.gen.TileEntityCreativeGen;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 * Created by tyler on 8/5/16.
 */
public class BlockCreativeGenerator extends BWMBlock implements IMechanical {
    public BlockCreativeGenerator() {
        super(Material.field_151575_d);
        func_149647_a(BWCreativeTabs.BWTAB);
    }

    @Override
    public boolean hasTileEntity(IBlockState state) {
        return true;
    }

    @Override
    public TileEntity createTileEntity(World world, IBlockState state) {
        return new TileEntityCreativeGen();
    }

    @Override
    public int getMechPowerLevelToFacing(World var1, BlockPos var2, EnumFacing var3) {
        return 4;
    }

    @Override
    public int func_176201_c(IBlockState state) {
        return 0;
    }

    @Override
    public IBlockState func_176203_a(int meta) {
        return func_176223_P();
    }

    @Override
    public boolean isMechanicalJunction() {
        return true;
    }
}
